namespace Netina.Domain.CommandQueries.Commands;

public sealed record CreateReviewCommand(string Title, string Comment, float Rate, bool IsBuyer, Guid ProductId, Guid UserId) : IRequest<Guid>;
public sealed record UpdateReviewCommand(Guid Id,string Title, string Comment, float Rate, bool IsBuyer, Guid ProductId, Guid UserId): IRequest<Guid>;
public sealed record ConfirmReviewCommand(Guid Id) : IRequest<Guid>;
public sealed record DeleteReviewCommand(Guid Id) : IRequest<Guid>;